.container {
    top: 0; left: 0;
    height: 1080px; width: 100%;
    background-image: url('../images/labs_three/background/Background.png');
    background-color: #67ad2f;
}
/*Start css block .mr_pimple(big green ball) */
.mr_pimple {
    top: 373px; left: 646px;
    height: 508px;  width: 475px;
    position: absolute;
}
.mr_pimple-body,
.mr_pimple-left_eye,
.mr_pimple-right_eye,
.mr_pimple-legs {
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
}
.mr_pimple-body {
    top: 0; left: 0;
    height: 481px; width: 475px;
    background-image: url("../images/labs_three/mr_pimple/Body.png");
    transform-origin: center center;
    z-index: 2;

    animation: mr_pimple_body_moving 1.5s infinite;
}
@keyframes mr_pimple_body_moving {
    0% { top: 0 }
    50% { top: 4px }
    100% { top: 0 }
}
.mr_pimple-left_eye {
    height: 46px; width: 31px;
    top: 163px; left: 175px;
    background-image: url("../images/labs_three/mr_pimple/Eye_left.png");
    transform-origin: center center;

    animation: mr_pimple_eye_moving 1.5s infinite;
}

.mr_pimple-right_eye {

    height: 42px; width: 29px;
    top: 169px; left: 260px;
    background-image: url("../images/labs_three/mr_pimple/Eye_right.png");
    transform-origin: center center;

    animation: mr_pimple_eye_moving 5s infinite;
}
@keyframes mr_pimple_eye_moving  {
    0% { transform: translateX(-10%); }
    10% { transform: translateX(20%); }
    50% { transform: translateX(20%); }
    60% { transform: translateX(-10%); }
    100% { transform: translateX(-10%); }
}

.mr_pimple-legs {
    top: 342px; left: 73px;
    height: 166px; width: 268px;
    background-image: url("../images/labs_three/mr_pimple/Legs.png");
    z-index: 1;
}
/*End css block .mr_pimple(big green ball) */

/*Start css block cool_magic_cat(cat at the shooter)*/
.cool_magic_cat {
    height: 344px; width: 355px;
    top: 727px; left: 1442px;
    position: absolute;
}
.cool_magic_cat-body,
.cool_magic_cat-scarf,
.cool_magic_cat-leg,
.wheel_left,
.wheel_right {
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
}
.cool_magic_cat-body {
    height: 344px; width: 328px;
    bottom: 3px; left: 42px;
    background-image: url("../images/labs_three/beatiful_cat/Katze.png");
    z-index: 1;
}
.cool_magic_cat-scarf {
    height: 112px; width: 237px;
    top: 52px; left: 10px;
    background-image: url("../images/labs_three/beatiful_cat/Scarf.png");
    z-index: 2;
    transform-origin: 222px 63px;

    animation: super_cat 1.2s .4s infinite;
}
@keyframes super_cat {
    0% { transform: rotate(0deg); }
    50% { transform: rotate(3deg); }
    100% { transform: rotate(0deg); }
}
.cool_magic_cat-leg {
    height: 115px; width: 130px;
    top: 166px; left: 24px;
    background-image: url("../images/labs_three/beatiful_cat/Leg.png");
    z-index: 4;
    transform-origin: 87px 6px;

    animation: super_cate_moving 1.4s infinite;
}
@keyframes super_cate_moving  {
    0% { transform: rotate(0deg) }
    50% { transform: rotate(38deg); }
    100% { transform: rotate(0deg); }
}
.wheel_left,
.wheel_right {
    height: 67px; width: 67px;
    top: 252px; left: 52px;
    background-image: url("../images/labs_three/beatiful_cat/wheel.png");
    z-index: 3;

    animation: rotate_wheel .6s linear infinite;
}
.wheel_right {
    top: 271px; left: 278px;  /*Overrides class .wheel_right top and left to avoid code duplication */
}
@keyframes rotate_wheel {
     from { transform: rotate(-360deg) ;}
     to {transform: rotate(0deg); }
}
/*End css block cool_magic_cat(cat at the shooter)*/

/*Start ccs block mad_snail(A snail on a leaf floating on a river)*/
.mad_snail {
    height: 123px; width: 126px;
    top: 939px; left: 286px;
    position: absolute;
    background-image: url("../images/labs_three/mad_snail/snail.png");
    transform-origin: 72px 90px;

    animation: wild_snail 1.5s infinite;
}
@keyframes wild_snail {
    0% { transform: rotate(0deg); }
    50% { transform: rotate(5deg); }
    100% { transform: rotate(0deg); }
}
/*End ccs block mad_snail(A snail on a leaf floating on a river)*/

/*Start css block scary_owl(A bird with a bag on its head)*/
.scary_owl {
    top: 555px; left: 1028px;
    position: absolute;
}
.owl_body,
.owl_left_eye,
.owl_right_eye {
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
}
.owl_body {
    height: 189px; width: 181px;
    background-image: url("../images/labs_three/scary_owl/Body.png");
    z-index: 1;
}
.owl_left_eye {
    height: 4px; width: 4px;
    top: 75px; left: 57px;
    background-image: url("../images/labs_three/scary_owl/Eye.png");
    z-index: 2;

    animation: owl_blink 5s infinite;
}
.owl_right_eye {
    height: 4px; width: 4px;
    top: 64px; left: 81px;
    background-image: url("../images/labs_three/scary_owl/Eye.png");
    z-index: 3;

    animation: owl_blink 5.2s infinite;
}
@keyframes owl_blink {
    0% { opacity: 1; }
    48% { opacity: 1; }
    50% { opacity: 0; }
    52% { opacity: 1; }
    100% { opacity: 1; }
}
/*End css block scary_owl(A bird with a bag on its head)*/

/*Start block jump_tree(where squirrel jump at the tree)*/
.jump_tree {
    height: 697px; width: 554px;
    top: 33px; left: 1065px;
    position: absolute;
}
.tree,
.jump_squirrel {
    position: absolute;
    background-size: contain;
    background-repeat: no-repeat;
}

.tree {
    height: 697px; width: 330px;
    top: 0; left: 224px;
    background-image: url("../images/labs_three/jump_squirrel/Baum.png");
    z-index: 2;
}
.jump_squirrel {
    height: 334px;  width: 426px;
    top: 276px; left: 0;
    background-image: url("../images/labs_three/jump_squirrel/squirell.png");
    z-index: 1;
    transform-origin: 366px 120px;

    animation: squirrel_moving 2.5s infinite;
}

@keyframes squirrel_moving {
    0% { transform: rotate(0deg); }
    50% { transform: rotate(7deg); }
    100% { transform: rotate(0deg); }
}
/*End block jump_tree(where squirrel jump at the tree)*/

/*Start css block bubble(Circle near big green ball)*/
.bubble {
    height: 396px; width: 395px;
    top: 115px; left: 340px;
    position: absolute;
    background-image: url("../images/labs_three/bubble/Bubble.png");
    background-repeat: no-repeat;
    background-size: contain;
    transform-origin: 276px 308px;

    animation: bubble_moving 1.5s infinite;
}
@keyframes bubble_moving  {
    0% { transform: rotate(0deg); }
    50% { transform: rotate(2deg); }
    100% { transform: rotate(0deg); }
}
/*End css block bubble(Circle near big green ball)*/
